ANNIE - Task #13885

Move raw and processed data to per-run directories
09/19/2016 02:10 PM - Arthur Kreymer

Status: Work in progress Start date: 09/19/2016
Priority: High Due date: 10/01/2016
Assignee: Steven Gardiner % Done: 100%
Category: Estimated time: 10.00 hours
Target version: Spent time: 5.00 hours
Description

We are approaching 32K files in one directory in PNFS, too many.

Per discussions are weekly ops and Annie meetins,
we will move to one directory per Run.

History

#1 - 09/19/2016 02:38 PM - Arthur Kreymer
- % Done changed from 0 to 10

Counted daq files and raw files, evaluated runs.

RAWS="/bin/Is /pnfs/annie/persistent/raw’
echo ${RAWS} | we -w
31198

RFS="printf "${RAWSH\n" | grep "RAW"
echo ${RFS} | wc -w
11627

RUNS="for RAW in ${RFS} ; do
echo ${RAW} | cut-f3-dR|cut-f1-dS
done | sort-nu”

echo ${RUNS} | wc -w

-bash-4.1$ echo ${RUNS} | wc -w
135

-bash-4.1$ echo ${RUNS}
#2 - 09/19/2016 06:04 PM - Steven Gardiner
- File reorganize.sh added
- Status changed from New to Work in progress

- % Done changed from 10 to 50

Wrote script (/annie/app/users/gardiner/reorganize.sh) that simulates the reorganization without actually moving anything around yet. The script
handles the 3 data file types (*RAWData, "Data, and "V2Data) separately.

We'll need to finalize how we want to organize the files before running the script "for real."

#3 - 01/25/2018 07:26 AM - Matthew Wetstein
- % Done changed from 50 to 100

Files

reorganize.sh 3.18 KB 09/19/2016 Steven Gardiner
